#!/bin/bash
# Please do not change this file directly since it is managed by Ansible and will be overwritten

DOCKER_ENV=""

#############
# FUNCTIONS #
#############
function expose_partitions () {
DOCKER_ENV=$(docker run --rm --net=host --name expose_partitions_${1} --privileged=true -v /dev/:/dev/ -v /etc/ceph:/etc/ceph:z -e CLUSTER=ceph -e OSD_DEVICE=/dev/${1} 192.168.24.1:8787/rhceph:3-9 disk_list)
  docker rm -f expose_partitions_${1}
}
expose_partitions "$1"


########
# MAIN #
########

/usr/bin/docker run \
  --rm \
  --net=host \
  --privileged=true \
  --pid=host \
  --memory=3g \
  --cpu-quota=100000 \
  -v /dev:/dev \
  -v /etc/localtime:/etc/localtime:ro \
  -v /var/lib/ceph:/var/lib/ceph:z \
  -v /etc/ceph:/etc/ceph:z \
  -v /var/run/ceph:/var/run/ceph:z \
  $DOCKER_ENV \
  -e OSD_FILESTORE=1 \
  -e OSD_DMCRYPT=0 \
  -e CLUSTER=ceph \
  -e OSD_DEVICE=/dev/${1} \
  -e CEPH_DAEMON=OSD_CEPH_DISK_ACTIVATE \
   \
  --name=ceph-osd-ceph-0-${1} \
  192.168.24.1:8787/rhceph:3-9
